use std::env::{args, current_dir, var_os};

pub fn abrev_path(path: &str) -> String {
    let mut short_dir = path.to_string();

    let slashes = path.matches('/').count();

    if slashes > 3 {
        let parts: Vec<&str> = path.split('/').collect();
        let len = parts.len() - 1;
        let mut ch1: String;

        for part in &parts[0..len] {
            if part.to_string() != "" {
                // to avoid the 1st "/"
                ch1 = part.chars().next().expect(part).to_string(); // 1st char of each part
                short_dir = short_dir.replace(part, &ch1);
            }
        }
    }
    short_dir
}

//pwd
pub fn homedir() -> String {
    var_os("HOME")
        .expect("UnknownDir")
        .to_str()
        .expect("UnknownDir")
        .to_string()
}
